Name:           python-mohawk
Version:        1.1.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Library for Hawk HTTP authorization

# No license information obtained, it's up to the packager to fill it in
License:        BSD-3-Clause
URL:            https://github.com/kumar303/mohawk
Source:         %{pypi_source mohawk}

BuildArch:      noarch
BuildRequires:  python3-devel

# Test dependencies
BuildRequires:  python3-pytest
BuildRequires:  python3-mock
BuildRequires:  python3-mock+test
BuildRequires:  python3-pynose


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
Hawk lets two parties securely communicate with each other using messages signed
by a shared key. It is based on HTTP MAC access authentication (which was based
on parts of OAuth 1.0).

The Mohawk API is a little different from that of the Node library (i.e.
https://github.com/hueniverse/hawk). It was redesigned to be more intuitive to
developers, less prone to security problems, and more Pythonic.}

%description %_description

%package -n     python3-mohawk
Summary:        %{summary}

%description -n python3-mohawk %_description


%prep
%autosetup -p1 -n mohawk-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# Add top-level Python module names here as arguments, you can use globs
%pyproject_save_files mohawk


%check
# %%tox is available in upstream repo but not pypi source
%pytest mohawk/tests.py
# %%pyproject_check_import


%files -n python3-mohawk -f %{pyproject_files}


%changelog
%autochangelog
